# Checking out firmware version

This page will guide you through how to check your firmware (FW) version if you are having some issues, or you are trying to integrate your system with ours.

{% hint style="warning" %}
**No matter what are the radio settings of your Stribog UAS and Doodle Labs radio, modules will not communicate if they do not have the same firmware version.**
{% endhint %}

To log into radio (wearable or module in UAV), use command:

```
ssh root@<DOODLE_RADIO_IP>
```

{% hint style="info" %}
**Note:** In Stribog UAS, if the filesystem was not manipulated, there should be an environment variable `DOODLE_RADIO_IP` holding the IP of UAV’s Doodle module IP.
{% endhint %}

Sometimes there is an issue in the host computer, where you need to add extra flags to ssh login, like so:

```
ssh -oHostKeyAlgorithms=+ssh-rsa root@<DOODLE_RADIO_IP>
```

You can also check if there is an Airvolute banner when you’re logged into the Doodle module. It is displayed in terminal automatically after logging and looks like this:

```
 █████╗ ██╗██████╗ ██╗   ██╗ ██████╗ ██╗     ██╗   ██╗████████╗███████╗
██╔══██╗██║██╔══██╗██║   ██║██╔═══██╗██║     ██║   ██║╚══██╔══╝██╔════╝
███████║██║██████╔╝██║   ██║██║   ██║██║     ██║   ██║   ██║   █████╗  
██╔══██║██║██╔══██╗╚██╗ ██╔╝██║   ██║██║     ██║   ██║   ██║   ██╔══╝  
██║  ██║██║██║  ██║ ╚████╔╝ ╚██████╔╝███████╗╚██████╔╝   ██║   ███████╗
╚═╝  ╚═╝╚═╝╚═╝  ╚═╝  ╚═══╝   ╚═════╝ ╚══════╝ ╚═════╝    ╚═╝   ╚══════╝
```

Once you are ssh-ed into the radio, you can get information by:

```
cat /etc/os-release 
```

The output should look like this:

```
NAME="Doodle Labs"
VERSION="firmware-2024-06.2"
ID="doodle_labs"
ID_LIKE="lede openwrt"
PRETTY_NAME="Doodle Labs firmware-2024-06.2"
VERSION_ID="firmware-2024-06.2"
HOME_URL="https://openwrt.org/"
BUG_URL="https://bugs.openwrt.org/"
SUPPORT_URL="https://forum.openwrt.org/"
BUILD_ID="r11306-c4a6851c72"
OPENWRT_BOARD="ar71xx/generic"
OPENWRT_ARCH="mips_24kc"
OPENWRT_TAINTS="no-all busybox"
OPENWRT_DEVICE_MANUFACTURER="Doodle Labs"
OPENWRT_DEVICE_MANUFACTURER_URL="https://www.doodlelabs.com/"
OPENWRT_DEVICE_PRODUCT="SmartRadio"
OPENWRT_DEVICE_REVISION="v0"
OPENWRT_RELEASE="Doodle Labs firmware-2024-06.2 r11306-c4a6851c72"
```

`OPENWRT_RELEASE` is the value you’re interested in.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.airvolute.com/uas-platforms/discovery-stribog/stribog-uas-user-manual/doodle-labs/checking-out-firmware-version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
